
Redmine - Feature #2331

Restricting issue listing for some roles to display only owned and assigned ticket

2008-12-12 15:05 - Jonathan Biolaz

Status: Closed Start date: 2008-12-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi,

We plan to provide an instance of redmine for the hotline of real estate company.

For that professionnal environment we had to make some slight modifications:

- Restricting issue listing for some roles to display only owned and assigned ticket

- Restrict assigned to attribute.

We would be glad to provide our contribution back to your excellent software.

Could you please register me as contributor and send me the steps to follow ?

Regards, Jonathan Biolaz

PS: I didn't find another way to contact you !

Related issues:

Related to Redmine - Feature #2653: New permission for issues: view_own_issue Closed 2009-02-03

Is duplicate of Redmine - Feature #7412: Add an issue visibility level to eac... Closed 2011-01-22

History

#1 - 2008-12-14 14:49 - Thomas Pihl

Why don't you post it as a patch (tracker "patch") and link it to this issue?

I'd think that it the best path to get it into use.

/T

#2 - 2009-02-27 16:09 - Jean-Philippe Lang

- Category changed from Permissions and roles to Issues permissions

#3 - 2009-07-25 02:27 - Enderson Maia

Jonathan Biolaz wrote:

Hi,

We plan to provide an instance of redmine for the hotline of real estate company.

For that professionnal environment we had to make some slight modifications:

- Restricting issue listing for some roles to display only owned and assigned ticket

- Restrict assigned to attribute.

We would be glad to provide our contribution back to your excellent software.

Could you please register me as contributor and send me the steps to follow ?

Regards, Jonathan Biolaz

PS: I didn't find another way to contact you !
 Any news on that ?

#4 - 2009-07-28 23:16 - Thomas Pihl

See #3187 (the patch)

#5 - 2010-03-31 05:29 - Sweet Geng

he how about this issue ?

i had read #3187 #2653 #4756 #2331

but i didn't see an solution for view_own_issues !

i use 0.9.2 stable version , can you help me ? my english not good !

thanks

#6 - 2010-05-02 21:41 - Oleg Volkov

See #2653

#7 - 2010-05-07 07:55 - Sweet Geng

Oleg Volkov wrote:

See #2653

 Thanks very much , i ll try on this

#8 - 2011-05-30 21:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Superseded by #7412 added in 1.2.0.
